Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::OuterPlanarTest Class Reference
Graph_test

class for testing the outerplanarity of a graph More...

`#include <OuterPlanarTest.h>`

Inheritance diagram for tlp::OuterPlanarTest:
[legend]
Collaboration diagram for tlp::OuterPlanarTest:
[legend]

List of all members.

## Static Public Member Functions

- static bool isOuterPlanar (Graph *graph)

## Detailed Description

class for testing the outerplanarity of a graph

## Member Function Documentation

static bool tlp::OuterPlanarTest::isOuterPlanar | ( | Graph * | graph | ) | `[static]`

Returns true if the graph is outerplanar (i.e. a graph with an embedding in the plane such that all vertices belong to the unbounded face of the embedding), false otherwise.

Tulip Software by LaBRI Visualization Team 2001 - 2012